"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const storage = require("./utils/storage.js");
require("../../../node_modules/.pnpm/dom-helpers@5.2.1/node_modules/dom-helpers/esm/addEventListener.js");
require("../../../node_modules/.pnpm/dom-helpers@5.2.1/node_modules/dom-helpers/esm/animationFrame.js");
require("../../../node_modules/.pnpm/dom-helpers@5.2.1/node_modules/dom-helpers/esm/childNodes.js");
require("../../../node_modules/.pnpm/dom-helpers@5.2.1/node_modules/dom-helpers/esm/querySelectorAll.js");
require("../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
const editPageEnum = require("../../enums/editPageEnum.js");
require("../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../enums/pageEnum.js");
const storageEnum = require("../../enums/storageEnum.js");
const storage$1 = require("../../utils/storage.js");
require("../../router/index.js");
require("../../store/modules/designStore/designStore.js");
require("../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../components/GoSkeleton/index.vue.js");
require("../../components/GoLoading/index.js");
require("../../settings/designSetting.js");
const index_vue_vue_type_script_setup_true_lang = require("./index.vue.js");
const runtimeCore_esmBundler = require("../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "wrapper",
  setup(__props) {
    let key = reactivity_esmBundler.ref(Date.now());
    [editPageEnum.SavePageEnum.JSON, editPageEnum.SavePageEnum.CHART_TO_PREVIEW].forEach((saveEvent) => {
      if (!window.opener)
        return;
      window.opener.addEventListener(saveEvent, async (e) => {
        const localStorageInfo = await storage.getSessionStorageInfo();
        storage$1.setSessionStorage(storageEnum.StorageEnum.GO_CHART_STORAGE_LIST, [{ ...e.detail, id: localStorageInfo.id }]);
        key.value = Date.now();
      });
    });
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(index_vue_vue_type_script_setup_true_lang.default, { key: reactivity_esmBundler.unref(key) });
    };
  }
});
exports.default = _sfc_main;
